Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::In_Var_Size_SArgument_T< S > Class Template Reference

Template class for IN skeleton argument of fixed size IDL types. More...

`#include <Var_Size_SArgument_T.h>`

Inheritance diagram for TAO::In_Var_Size_SArgument_T< S >:

[legend]
Collaboration diagram for TAO::In_Var_Size_SArgument_T< S >:

[legend]
List of all members.

## Public Methods
| In_Var_Size_SArgument_T (void)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
const S & | arg (void) const
## Private Attributes
S * | x_

## Detailed Description

### template<typename S>
class TAO::In_Var_Size_SArgument_T< S >

Template class for IN skeleton argument of fixed size IDL types.

## Constructor & Destructor Documentation

template<typename S>
ACE_INLINE TAO::In_Var_Size_SArgument_T< S >::In_Var_Size_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S>
const S & TAO::In_Var_Size_SArgument_T< S >::arg | ( | void |  | ) | const

template<typename S>
CORBA::Boolean TAO::In_Var_Size_SArgument_T< S >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S>
void TAO::In_Var_Size_SArgument_T< S >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S>
S* TAO::In_Var_Size_SArgument_T< S >::x_`[private]`

The documentation for this class was generated from the following files:

- Var_Size_SArgument_T.h
- Var_Size_SArgument_T.cpp
- Var_Size_SArgument_T.inl